Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.values
Class JavaBooleanHolder

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.JavaBooleanHolder

All Implemented Interfaces:
  java.io.Serializable, TypeStoreUser, SimpleValue, XmlObject, XmlTokenSource

Direct Known Subclasses:
  JavaBooleanHolderEx, XmlBooleanImpl

    public abstract class JavaBooleanHolder

extends XmlObjectBase

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlbeans.XmlObject
`XmlObject.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

Constructor Summary
`JavaBooleanHolder()`

Method Summary
`protected int` | `compare_to(XmlObject i)` This implementation of compare_to is allowed to do two unusual things: (1) it can assume that the xmlobj passed has a primitive type underlying the instance type that matches the current instance, and that neither is nil.
`protected java.lang.String` | `compute_text(NamespaceManager nsm)` This should return the canonical string value of the primitive.
`protected boolean` | `equal_to(XmlObject i)`
`boolean` | `getBooleanValue()` Returns the value as a boolean.
`SchemaType` | `schemaType()`
`protected void` | `set_boolean(boolean f)`
`protected void` | `set_nil()` This should clear the value, and set it to whatever is supposed to be returned when the value is nilled.
`protected void` | `set_text(java.lang.String s)` This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
`static boolean` | `validateLexical(java.lang.String v, ValidationContext context)`
`protected int` | `value_hash_code()`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_String, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaBooleanHolder

    public JavaBooleanHolder()

Method Detail

### schemaType

    public SchemaType schemaType()

  Specified by:
    `schemaType` in interface `XmlObject`
  Specified by:
    `schemaType` in class `XmlObjectBase`
  Returns:
    The schema type for this instance. This is a permanent, unchanging property of the instance.

### compute_text

    protected java.lang.String compute_text(NamespaceManager nsm)

  Description copied from class: `XmlObjectBase`
  This should return the canonical string value of the primitive. Only called when non-nil.

  Specified by:
    `compute_text` in class `XmlObjectBase`

### set_text

    protected void set_text(java.lang.String s)

  Description copied from class: `XmlObjectBase`
  This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.

  Specified by:
    `set_text` in class `XmlObjectBase`

### validateLexical

    public static boolean validateLexical(java.lang.String v,
                                          ValidationContext context)

### set_nil

    protected void set_nil()

  Description copied from class: `XmlObjectBase`
  This should clear the value, and set it to whatever is supposed to be returned when the value is nilled.

  Specified by:
    `set_nil` in class `XmlObjectBase`

### getBooleanValue

    public boolean getBooleanValue()

  Description copied from interface: `SimpleValue`
  Returns the value as a boolean.

  Specified by:
    `getBooleanValue` in interface `SimpleValue`
  Overrides:
    `getBooleanValue` in class `XmlObjectBase`

### set_boolean

    protected void set_boolean(boolean f)

  Overrides:
    `set_boolean` in class `XmlObjectBase`

### compare_to

    protected int compare_to(XmlObject i)

  Description copied from class: `XmlObjectBase`
  This implementation of compare_to is allowed to do two unusual things: (1) it can assume that the xmlobj passed has a primitive type underlying the instance type that matches the current instance, and that neither is nil. (2) it is allowed to return 2 for "incomparable"; it should not throw an exception.

  Overrides:
    `compare_to` in class `XmlObjectBase`

### equal_to

    protected boolean equal_to(XmlObject i)

  Specified by:
    `equal_to` in class `XmlObjectBase`

### value_hash_code

    protected int value_hash_code()

  Specified by:
    `value_hash_code` in class `XmlObjectBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD